Subject: [PSAMP] Re: [ipfix] multiple Exporting Processes in IPFIX-ARCH

From: Benoit Claise <[email-masked]>
Date: Mon, 29 May 2006 14:06:59 +0200

Paul,
> Dear all,
>
> This text in IPFIX-ARCH:
>
>    * IPFIX Device
>
>       An IPFIX Device hosts at least one Observation Point, a Metering
>       Process and an Exporting Process.
>
> seems to say that there is one one MP and one EP, which is clearly
> wrong. eg, Figure 3 shows one IPFIX device with multiple OPs, multiple
> MPs and multiple EPs:
>
>    +------------------------+
>    |IPFIX Device(i)         |
>    |[Observation Point(s)]  |
>    |[Metering Process(es)]  |
>    |[Exporting Process(es)] |
>    +------------------------+
>
> The text should say
>
>       An IPFIX Device hosts at least one Observation Point, at least
>       one Metering Process and at least one Exporting Process.
I agree. I modified [IPFIX-PROTO].
Some PSAMP drafts should be modified as well, if I recall correctly

Regards, Benoit.

>
>
> Figure 4 doesn't make clear whether there may be multiple exporters
> associated with each MP. I believe that should be possible to provide
> redundancy, for export over different transports, to convey the MP
> output to multiple collectors, or even to impliment different export
> protocols.
>
> Without being spelt out in the text, the way it's drawn does seem to
> constrain each MP to just one EP. I don't see any architectural reason
> for that.
>
> Cheers.

_______________________________________________
PSAMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/psamp